## sqlite3 3.45.1

=== ext/lsm1/Makefile ===
#
# This Makefile is designed for use with main.mk in the root directory of
# this project. After including main.mk, the users makefile should contain:
#
#    LSMDIR=$(TOP)/ext/lsm1/
#    LSMOPTS=-fPIC
#    include $(LSMDIR)/Makefile
#
# The most useful targets are [lsmtest] and [lsm.so].
#

LSMOBJ    = \
  lsm_ckpt.o \
  lsm_file.o \
  lsm_log.o \
  lsm_main.o \
  lsm_mem.o \
  lsm_mutex.o \
  lsm_shared.o \
  lsm_sorted.o \
  lsm_str.o \
  lsm_tree.o \
  lsm_unix.o \
  lsm_win32.o \
  lsm_varint.o \
  lsm_vtab.o

LSMHDR   = \
  $(LSMDIR)/lsm.h \
  $(LSMDIR)/lsmInt.h

LSMTESTSRC = $(LSMDIR)/lsm-test/lsmtest1.c $(LSMDIR)/lsm-test/lsmtest2.c     \
             $(LSMDIR)/lsm-test/lsmtest3.c $(LSMDIR)/lsm-test/lsmtest4.c     \
             $(LSMDIR)/lsm-test/lsmtest5.c $(LSMDIR)/lsm-test/lsmtest6.c     \
             $(LSMDIR)/lsm-test/lsmtest7.c $(LSMDIR)/lsm-test/lsmtest8.c     \
             $(LSMDIR)/lsm-test/lsmtest9.c                                   \
             $(LSMDIR)/lsm-test/lsmtest_datasource.c \
             $(LSMDIR)/lsm-test/lsmtest_func.c $(LSMDIR)/lsm-test/lsmtest_io.c  \
             $(LSMDIR)/lsm-test/lsmtest_main.c $(LSMDIR)/lsm-test/lsmtest_mem.c \
             $(LSMDIR)/lsm-test/lsmtest_tdb.c $(LSMDIR)/lsm-test/lsmtest_tdb3.c \
             $(LSMDIR)/lsm-test/lsmtest_util.c $(LSMDIR)/lsm-test/lsmtest_win32.c


# all: lsm.so

LSMOPTS += -fPIC -DLSM_MUTEX_PTHREADS=1 -I$(LSMDIR) -DHAVE_ZLIB

lsm.so:	$(LSMOBJ)
	$(TCCX) -shared -fPIC -o lsm.so $(LSMOBJ)

%.o:	$(LSMDIR)/%.c $(LSMHDR) sqlite3.h
	$(TCCX) $(LSMOPTS) -c $<
	
lsmtest$(EXE): $(LSMOBJ) $(LSMTESTSRC) $(LSMTESTHDR) sqlite3.o
	# $(TCPPX) -c $(TOP)/lsm-test/lsmtest_tdb2.cc
	$(TCCX) $(LSMOPTS) $(LSMTESTSRC) $(LSMOBJ) sqlite3.o -o lsmtest$(EXE) $(THREADLIB) -lz

## sqlite3 3.2.1-3

=== debian/changelog ===
sqlite3 (3.2.1-3) unstable; urgency=low

  * Fixed: NB#36724

 -- Pekka Marjola <pekka.marjola@nokia.com>  Fri, 22 Sep 2006 14:25:52 +0300

sqlite3 (3.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Rottmann <rotty@debian.org>  Sat,  2 Apr 2005 02:41:15 +0200

sqlite3 (3.1.6-1) unstable; urgency=high

  * New upstream release.
  * Fixes two database corruption bugs (in 3.1.4 and 3.1.6), hence urgency
    high.

 -- Andreas Rottmann <rotty@debian.org>  Thu, 17 Mar 2005 20:00:16 +0100

sqlite3 (3.1.3-1) unstable; urgency=low

  * New upstream release.
  * Now building with automake1.9 and against libreadline5-dev.

 -- Andreas Rottmann <rotty@debian.org>  Wed, 16 Feb 2005 17:04:19 +0100

sqlite3 (3.0.8-3) unstable; urgency=medium

  * Fix threadsafe enabling, now works through configure option (closes:
    #285913).
  * Medium urgency to get this fix into sarge.

 -- Andreas Rottmann <rotty@debian.org>  Sat,  1 Jan 2005 13:12:10 +0100

sqlite3 (3.0.8-2) unstable; urgency=low

  * libsqlite3-dev: Suggest sqlite3-doc instead of sqlite-doc (closes:
    #285771).
  * libsqlite3-0: Don't Pre-Depend on debconf (closes: #284976).
  * sqlite3-doc: Now comes with sqlite.gif and links to 
    http://sqlite.org/contrib instead of locally (closes: #285769).
  
 -- Andreas Rottmann <rotty@debian.org>  Thu, 16 Dec 2004 12:24:02 +0100
  

sqlite3 (3.0.8-1) unstable; urgency=low

  * Initial release of SQLite3 (closes: #272271, #282351).
    - Now packaged as a new source package, since SQLite 3 
      is incompatible (database- and API-wise) with SQLite 2.
    - Remove debian/lemon.html, this is now shipped by upstream in doc/.
    - Adapted manpage for 3.0 (thanks to Laszlo 'GCS' Boszormeny).
  
 -- Andreas Rottmann <rotty@debian.org>  Sun,  7 Nov 2004 13:49:52 +0100

=== debian/control ===
Source: sqlite3
Section: devel
Priority: optional
Maintainer: Andreas Rottmann <rotty@debian.org>
Build-Depends: cdbs (>= 0.4.15), debhelper (>= 4.1.16), autoconf (>= 2.59), libtool (>= 1.5.2), automake1.8, autotools-dev
Standards-Version: 3.6.1

Package: libsqlite3-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: SQLite 3 shared library
 SQLite is a C library that implements an SQL database engine. 
 Programs that link with the SQLite library can have SQL database 
 access without running a separate RDBMS process.

Package: libsqlite3-dev
Suggests: sqlite3-doc
Section: libdevel
Architecture: any
Depends: libsqlite3-0 (= ${Source-Version}), libc6-dev
Description: SQLite 3 development files
 SQLite is a C library that implements an SQL database engine. 
 Programs that link with the SQLite library can have SQL database 
 access without running a separate RDBMS process.
 .
 This package contains the development files (headers, static libraries)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

so_version := 0

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

# Make sure libsqlite0 is built before packages depending on it
binary/sqlite3 binary/libsqlite3-dev binary/libsqlite3-tcl:: binary/libsqlite3-$(so_version)

common-install-arch::
	install -d debian/tmp/usr/lib/sqlite3

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_AUTOCONF = 2.50
DEB_AUTO_UPDATE_AUTOMAKE = 1.8 # We don't use automake, but aclocal

DEB_CONFIGURE_EXTRA_FLAGS = --disable-tcl --enable-threadsafe

DEB_BUILD_MAKE_TARGET = all
# DEB_MAKE_CHECK_TARGET = test

DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

DEB_ALL_CHANGELOG = doc/changes.html

DEB_DH_MAKESHLIBS_ARGS := -V -X"libtclsqlite3.so*"

DEB_SHLIBDEPS_LIBRARY_sqlite := libsqlite3-$(so_version)
DEB_SHLIBDEPS_INCLUDE_sqlite := debian/libsqlite3-$(so_version)/usr/lib/

## sqlite3 3.3.5-0.2osso1

=== debian/changelog ===
sqlite3 (3.3.5-0.2osso1) unstable; urgency=medium

  * imported to Maemo platform

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Fri, 19 Jan 2007 10:52:00 -0300

sqlite3 (3.3.5-0.2) unstable; urgency=medium

  * NMU to fix package problems:
    - correct Tcl provides (closes: #361412);
    - compile correctly on 64 bit archs, thanks to Matthias Klose
      (closes: #364196).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon,  1 May 2006 10:47:59 +0000

sqlite3 (3.3.5-0.1) unstable; urgency=medium

  * NMU for new upstream release; fixes thread segfault (in tests) on hppa
    (closes: #339369).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu,  6 Apr 2006 17:16:42 +0000

sqlite3 (3.3.4-0.1) unstable; urgency=low

  * NMU for new upstream release (closes: #352317).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed,  5 Apr 2006 01:46:45 +0200

sqlite3 (3.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Tomas Fasth <tomfa@debian.org>  Thu, 29 Dec 2005 03:09:18 +0000

sqlite3 (3.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Tomas Fasth <tomfa@debian.org>  Sun, 25 Sep 2005 12:08:21 +0000

sqlite3 (3.2.5-1) unstable; urgency=low

  * New upstream release.
  * Removed debian/patches/10-main-timeout.patch, fixed upstream.
  * Removed debian/patches/01-configure.ac-version_number.patch, fixed
    upstream.

 -- Tomas Fasth <tomfa@debian.org>  Sun, 28 Aug 2005 21:23:03 +0000

sqlite3 (3.2.2-3) unstable; urgency=low

  * Closes: #321487: missing dependency on debconf
    The file debian/libsqlite3-0.preinst has been removed. It was
    originally part of the ancestor sqlite 2.x source package, which
    still exist in parallel with sqlite3. It has now been removed
    together with debian/libsqlite3-0.postinst that was created in a
    first missguided attempt by me to correct this policy violation.

 -- Tomas Fasth <tomfa@debian.org>  Sat,  6 Aug 2005 22:16:33 +0000

sqlite3 (3.2.2-2) unstable; urgency=low

  * Closes: #314856: Missing pre-dependency on debconf.
  * Closes: #319897: /usr/include/sqlite3.h: SQLITE_VERSION_NUMBER is
    3000000

 -- Tomas Fasth <tomfa@debian.org>  Tue,  2 Aug 2005 00:48:25 +0000

sqlite3 (3.2.2-1) unstable; urgency=low

  * New upstream release.
  * New maintainer.
  * Closes: #314856: Missing pre-dependency on debconf.
    Moving upgrade notification from debian/libsqlite3-0.preinst to
    debian/libsqlite3-0.postinst.
  * Closes: #316348: Timeout does not expire on SQLLITE_BUSY.
    Adding patch with correct type cast for timeout in src/main.c[283].
  * Closes: #317594: sqlite3-3.2.1-1 SIGBUS on 64-bit machines (fixed
    upstream)
  * Closes: #318341: New upstream version 3.2.2

 -- Tomas Fasth <tomfa@debian.org>  Mon,  1 Aug 2005 20:03:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,31 @@
 Source: sqlite3
 Section: devel
 Priority: optional
-Maintainer: Andreas Rottmann <rotty@debian.org>
-Build-Depends: cdbs (>= 0.4.15), debhelper (>= 4.1.16), autoconf (>= 2.59), libtool (>= 1.5.2), automake1.8, autotools-dev
-Standards-Version: 3.6.1
+Maintainer: Tomas Fasth <tomfa@debian.org>
+Build-Depends: cdbs (>= 0.4.15), debhelper (>= 4.1.16), autoconf (>= 2.59), libtool (>= 1.5.2), automake1.8, autotools-dev, libreadline4-dev
+Standards-Version: 3.6.2
+
+Package: sqlite3
+Section: misc
+Architecture: any
+Depends: ${shlibs:Depends}
+Suggests: sqlite3-doc
+Description: A command line interface for SQLite 3
+ SQLite is a C library that implements an SQL database engine. 
+ Programs that link with the SQLite library can have SQL database 
+ access without running a separate RDBMS process.
+
+Package: sqlite3-doc
+Section: doc
+Architecture: all
+Recommends: sqlite3
+Description: SQLite 3 documentation
+ SQLite is a C library that implements an SQL database engine. 
+ Programs that link with the SQLite library can have SQL database 
+ access without running a separate RDBMS process.
+ .
+ This package contains the documentation that is also available on
+ the SQLite homepage.
 
 Package: libsqlite3-0
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

so_version := 0

# Make sure libsqlite0 is built before packages depending on it
binary/sqlite3 binary/libsqlite3-dev:: binary/libsqlite3-$(so_version)

common-install-arch::
	install -d debian/tmp/usr/lib/sqlite3
	install -d debian/tmp/usr/share/man/man1/
	install -m 644 sqlite3.1 debian/tmp/usr/share/man/man1

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_AUTOCONF = 2.50
DEB_AUTO_UPDATE_AUTOMAKE = 1.8 # We don't use automake, but aclocal

DEB_CONFIGURE_EXTRA_FLAGS = --disable-tcl --enable-threadsafe

DEB_BUILD_MAKE_TARGET = all #doc
#DEB_MAKE_CHECK_TARGET = test

DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

DEB_ALL_CHANGELOG = doc/changes.html

DEB_DH_MAKESHLIBS_ARGS := -V

DEB_SHLIBDEPS_LIBRARY_sqlite := libsqlite3-$(so_version)
DEB_SHLIBDEPS_INCLUDE_sqlite := debian/libsqlite3-$(so_version)/usr/lib/

DEB_OPT_FLAG := -O2 -fno-strict-aliasing

## sqlite3 3.6.14-1maemo1+0m5

=== debian/changelog ===
sqlite3 (3.6.14-1maemo1+0m5) stable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Fri, 15 May 2009 09:26:24 +0300

sqlite3 (3.6.14-1maemo1) stable; urgency=low

  * Upgrade to upstream 3.6.14
  * Fixes: NB#112414, Link sqlite command line tool with readline
  * Fixes: NB#111220, libsqlite3-dev missing static library file

 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Thu, 13 May 2009 14:22:03 +0300

sqlite3 (3.6.13-1maemo2) stable; urgency=low

  * Fixed compilation in ARM env.

 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Thu, 04 May 2009 17:59:03 +0300
	

sqlite3 (3.6.13-1maemo1) stable; urgency=low

  * Upgrade to upstream 3.6.13
  * Enabled load extensions feature
	
 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Thu, 29 Apr 2009 16:19:03 +0300
	

sqlite3 (3.6.10-0maemo0) stable; urgency=low

  * Upgraded to upstream 3.6.10
  * Using tarball instead of uncompressed sources
  * Removed static libraries
  * F i x e s : N B # 93828 sqlite3 command line tool doesn't work in scratchbox

 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Thu,  21 Jan 2009 14:56:03 +0300
	

sqlite3 (3.6.3-3maemo0) stable; urgency=low

  * Removed test file with unclear license
  * Updated package version to follow maemo style.

 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Thu,  4 Dec 2008 18:58:03 +0300
	

sqlite3 (3.6.3-2) stable; urgency=low

  * Updated debian/ to generate -dbg package of the library

 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Thu,  2 Oct 2008 18:58:03 +0300

sqlite3 (3.6.3-1) stable; urgency=low

  * New upstream release.

 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Wed, 01 Oct 2008 18:00:00 +0300

sqlite3 (3.5.9-1) stable; urgency=low

  * New upstream release.

 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Tue, 17 Jun 2008 18:00:00 +0300

sqlite3 (3.4.2-1build1) gutsy; urgency=low

  * Trigger rebuild for hppa.

 -- LaMont Jones <lamont@ubuntu.com>  Tue, 02 Oct 2007 06:32:48 -0600

sqlite3 (3.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 20 Aug 2007 16:12:00 +0300

sqlite3 (3.4.1-1) unstable; urgency=low

  * New upstream release (closes: #436165).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 28 Jul 2007 08:51:35 +0300

sqlite3 (3.3.17-1) unstable; urgency=low

  * New upstream release.
  * Use minor version as well in sqlite3.pc (closes: #424235).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 17 May 2007 02:01:42 +0300

sqlite3 (3.3.16-1) unstable; urgency=medium

  * New upstream release with important bugfixes.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 19 Apr 2007 09:13:29 +0000

sqlite3 (3.3.15-1) unstable; urgency=low

  * New upstream release (closes: #419534).
  * Force enable extensions; not supposed to work on *BSD, but well...

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 17 Apr 2007 15:56:30 +0000

sqlite3 (3.3.14-1) unstable; urgency=low

  * New upstream release (closes: #406436). Accept Otavio's upload
    (closes: #397531).
  * Include all header files in -dev (closes: #404242), add missing image to
    -doc (closes: #368211).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 04 Apr 2007 17:57:08 +0000

sqlite3 (3.3.8-1.1) unstable; urgency=low

  * NMU
  * Revert PRAGMA table_info format change on a minor version release
    (closes: #397531)

 -- Otavio Salvador <otavio@debian.org>  Tue,  6 Mar 2007 08:53:43 -0300

sqlite3 (3.3.8-1) unstable; urgency=low

  * New upstream version.
  * Create lang_* files for documentation (closes: #310603).
  * Enable column metadata functions (closes: #375352).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 12 Oct 2006 21:55:37 +0000

sqlite3 (3.3.7-1) unstable; urgency=low

  * New upstream release (closes: #378247).
  * New maintainer with ACK from Tomas, close my own NMU fixes
    (closes: #339369, #364196, #361412, #352317).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue,  8 Aug 2006 04:51:14 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

so_version := 0

DEB_TAR_SRCDIR := sqlite-3.6.14
include /usr/share/cdbs/1/rules/tarball.mk

# Make sure libsqlite0 is built before packages depending on it
binary/sqlite3 binary/libsqlite3-dev :: binary/libsqlite3-$(so_version)

common-install-arch::
	install -d debian/tmp/usr/lib/sqlite3
	install -m 0664 debian/pkgIndex.tcl debian/tmp/usr/lib/sqlite3
#./libtool --mode=install install libtclsqlite3.la `pwd`/debian/tmp/usr/lib/sqlite3
#	install -d debian/tmp/usr/share/man/man1/
#	install -m 644 $(DEB_BUILDDIR)/sqlite3.1 debian/tmp/usr/share/man/man1

#install/sqlite3-doc::
#	doc/ >doc/lang.html

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_AUTOCONF = 2.50
DEB_AUTO_UPDATE_AUTOMAKE = 1.9 # We don't use automake, but aclocal

DEB_CONFIGURE_EXTRA_FLAGS = --disable-tcl --enable-threadsafe --enable-dynamic-extensions --enable-readline --enable-static


DEB_BUILD_MAKE_TARGET = all
#DEB_BUILD_MAKE_TARGET = all doc
#DEB_MAKE_CHECK_TARGET = test

DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

DEB_ALL_CHANGELOG = doc/changes.html

DEB_DH_MAKESHLIBS_ARGS := -V 

DEB_SHLIBDEPS_LIBRARY_sqlite := libsqlite3-$(so_version)
DEB_SHLIBDEPS_INCLUDE_sqlite := debian/libsqlite3-$(so_version)/usr/lib/

DEB_OPT_FLAG := -O2 -fno-strict-aliasing -DSQLITE_ENABLE_COLUMN_METADATA

CFLAGS = -Wall -g
# Forcing this link to compile with --enable-load-extension
DEB_CONFIGURE_SCRIPT_ENV += LIBS="-ldl"

DEB_DH_STRIP_ARGS := --dbg-package=libsqlite3-0

## sqlite3 3.6.14-1maemo3+0m5

=== debian/changelog ===
sqlite3 (3.6.14-1maemo3+0m5) stable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Fri, 04 Dec 2009 15:30:37 +0200

sqlite3 (3.6.14-1maemo3) stable; urgency=low

  * Fixed compilation flags. It wasn't using -O2
  * Fixes: NB#130604 - sqlite3 package are built without optimizations

 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Thu, 23 Jul 2009 11:33:03 +0300

sqlite3 (3.6.14-1maemo2) stable; urgency=low

  * Incresed YYSTACKDEPTH to support more joins in queries.
  * Fixes: NB#108146, Parser overflow with more than 12 optional...

 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Thu, 28 May 2009 12:33:03 +0300

## sqlite3 3.6.14-1maemo4+0m5

=== debian/changelog ===
sqlite3 (3.6.14-1maemo4+0m5) stable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 3.6.14-1maemo4+0m5

 -- Gary Birkett <ext-gary.2.birkett@nokia.com>  Mon, 07 Jun 2010 19:14:50 +0300

sqlite3 (3.6.14-1maemo4) stable; urgency=low

  * Fixes: NB#138038 Sqlite's journal stored in fast flash
    Patch initially written by Chittibabu Theegala, reviewed by Maciej Blomberg
    and modified by Marc Ordinas I Llopis and Alban Crequy

 -- Alban Crequy <alban.crequy@collabora.co.uk>  Wed, 05 May 2010 16:12:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: sqlite3
 Section: devel
 Priority: optional
-Maintainer: Tomas Fasth <tomfa@debian.org>
-Build-Depends: cdbs (>= 0.4.15), debhelper (>= 4.1.16), autoconf (>= 2.59), libtool (>= 1.5.2), automake1.8, autotools-dev, libreadline4-dev
-Standards-Version: 3.6.2
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Build-Depends: cdbs (>= 0.4.15), debhelper (>= 4.1.16), autoconf (>= 2.59), libtool (>= 1.5.2), automake1.9, autotools-dev, libreadline5-dev
+Standards-Version: 3.7.2
 
 Package: sqlite3
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, libreadline5
 Suggests: sqlite3-doc
 Description: A command line interface for SQLite 3
  SQLite is a C library that implements an SQL database engine. 
@@ -40,10 +40,25 @@
 Suggests: sqlite3-doc
 Section: libdevel
 Architecture: any
-Depends: libsqlite3-0 (= ${Source-Version}), libc6-dev
+Depends: libsqlite3-0 (= ${binary:Version}), libc6-dev
 Description: SQLite 3 development files
  SQLite is a C library that implements an SQL database engine. 
  Programs that link with the SQLite library can have SQL database 
  access without running a separate RDBMS process.
  .
  This package contains the development files (headers, static libraries)
+
+Package: libsqlite3-0-dbg
+Suggests: sqlite3-doc
+Section: libdevel
+Architecture: any
+Depends: libsqlite3-0 (= ${binary:Version})
+Description: SQLite 3 development files and debugging symbols
+ SQLite is a C library that implements an SQL database engine. 
+ Programs that link with the SQLite library can have SQL database 
+ access without running a separate RDBMS process.
+ .
+ This package contains detached debugging symbols
+ .
+ Most people will not need this package.
+

=== debian/rules ===
--- 
+++ 
@@ -45,8 +45,8 @@
 
 DEB_OPT_FLAG := -O2 -fno-strict-aliasing -DSQLITE_ENABLE_COLUMN_METADATA
 
-CFLAGS = -Wall -g
 # Forcing this link to compile with --enable-load-extension
 DEB_CONFIGURE_SCRIPT_ENV += LIBS="-ldl"
+DEB_CONFIGURE_SCRIPT_ENV += CFLAGS="-DYYSTACKDEPTH=500 $(DEB_OPT_FLAG)"
 
 DEB_DH_STRIP_ARGS := --dbg-package=libsqlite3-0

## sqlite3 3.6.14-1maemo4+0m5+0cssu0+thumb0

=== debian/changelog ===
sqlite3 (3.6.14-1maemo4+0m5+0cssu0+thumb0) stable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Wen, 03 Oct 2012 15:37:20 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: sqlite3
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, libreadline5
+Depends: ${shlibs:Depends}, libreadline5, kernel-feature-errata-430973-workaround [armel]
 Suggests: sqlite3-doc
 Description: A command line interface for SQLite 3
  SQLite is a C library that implements an SQL database engine. 
@@ -30,7 +30,7 @@
 Package: libsqlite3-0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround [armel]
 Description: SQLite 3 shared library
  SQLite is a C library that implements an SQL database engine. 
  Programs that link with the SQLite library can have SQL database

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 DEB_SHLIBDEPS_LIBRARY_sqlite := libsqlite3-$(so_version)
 DEB_SHLIBDEPS_INCLUDE_sqlite := debian/libsqlite3-$(so_version)/usr/lib/
 
-DEB_OPT_FLAG := -O2 -fno-strict-aliasing -DSQLITE_ENABLE_COLUMN_METADATA
+DEB_OPT_FLAG := -O2 -mthumb -fno-strict-aliasing -DSQLITE_ENABLE_COLUMN_METADATA
 
 # Forcing this link to compile with --enable-load-extension
 DEB_CONFIGURE_SCRIPT_ENV += LIBS="-ldl"

## sqlite3 3.7.2

=== debian/changelog ===
sqlite3 (3.7.2-1ubuntu0.1) maverick-proposed; urgency=low

  * debian/patches/21-688781-where-performance-regression.patch:
    Backport a fix for a performance regression relating to SQL queries 
    using the WHERE conditional (lp: #688781). Patch adapted from
    upstream commit: ece641eb89

 -- Sameer Morar <smorar@gmail.com>  Mon, 13 Dec 2010 18:01:14 +0200

sqlite3 (3.7.2-1) unstable; urgency=high

  * New upstream release (closes: #594010), fixing another database
    corruption, hence the urgency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 23 Aug 2010 15:16:19 +0000

sqlite3 (3.7.0.1-1) unstable; urgency=high

  * New upstream release (closes: #592573), high urgency due to fixing
    database corruption.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 13 Aug 2010 20:14:42 +0000

sqlite3 (3.7.0-1.1) unstable; urgency=high

  [ Iain Lane ]
  * Non-maintainer upload.
  * Backport fix from upstream bug 13f033c865 to fix performance
    regression introduced in 3.7.0-1. (Closes: #591298)

  [ Julien Cristau ]
  * High urgency upload for RC bugfix.

 -- Julien Cristau <jcristau@debian.org>  Sat, 07 Aug 2010 16:55:51 -0400

sqlite3 (3.7.0-1) unstable; urgency=low

  * New major upstream version (closes: #590232).
  * Remove backported fix, 30-fix-default-values-crash.patch of #575276 ; this
    release contains it.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 25 Jul 2010 07:49:27 +0000

sqlite3 (3.6.23.1-4) unstable; urgency=low

  * Clean up my mess with src/os_unix.c for proper Hurd build.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 30 May 2010 16:15:40 +0000

sqlite3 (3.6.23.1-3) unstable; urgency=low

  * Update 20-hurd-locking-style.patch to make it build on Hurd again;
    thanks to Pino Toscano for fixing.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 29 May 2010 15:31:30 +0000

sqlite3 (3.6.23.1-2) unstable; urgency=low

  * Enable unlock notify API (closes: #579266).
  * Backport fix of 'INSERT INTO tbl DEFAULT VALUES' (closes: #575276).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 05 May 2010 18:58:47 +0000

sqlite3 (3.6.23.1-1) unstable; urgency=low

  * New upstream release.
  * Clean up patch handling; run aclocal to prevent libtool version mismatch
    errors.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 04 Apr 2010 07:29:35 +0000

sqlite3 (3.6.23-1) unstable; urgency=low

  * New upstream release, update patches accordingly.
  * Enable soundex support (closes: #528016).
  * Switch to 3.0 (quilt) source format, ship documentation as separate
    tarball.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 13 Mar 2010 16:48:08 +0000

sqlite3 (3.6.22-1) unstable; urgency=low

  * New upstream release (closes: #568061).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 02 Feb 2010 18:44:27 +0000

sqlite3 (3.6.21-2) unstable; urgency=medium

  * Run autoreconf to prevent FTBFS with new libtool (closes: #560660).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 11 Dec 2009 14:34:09 +0000

sqlite3 (3.6.21-1) unstable; urgency=medium

  * New upstream release, SQLITE_SECURE_DELETE compile-time option fixed to
    make sure that content is deleted even when the truncate optimization
    applies (closes: #555955).
  * Add 11-manpage-refers-to-sqlite3-doc.patch patch to fix manpage to refer
    to sqlite3-doc (closes: #560132).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 09 Dec 2009 14:55:17 +0000

sqlite3 (3.6.20-1) unstable; urgency=low

  * New upstream release (may fix #546599).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 10 Nov 2009 22:48:13 +0000

sqlite3 (3.6.19-3) unstable; urgency=low

  * Build conflict with tcl8.4{,-dev}, SQLite3 picks up the wrong version
    despite of specifying tcl8.5 to use (closes: #552304).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 26 Oct 2009 05:58:04 +0000

sqlite3 (3.6.19-2) unstable; urgency=low

  * Compile with secure deletion option enabled (closes: #551968).
  * Make libsqlite3-tcl build with tcl8.5 (closes: #547445).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 23 Oct 2009 07:45:19 +0000

sqlite3 (3.6.19-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 18 Oct 2009 07:11:18 +0000

sqlite3 (3.6.18-1) unstable; urgency=low

  * New upstream release.
  * Change readline build dependency to plain libreadline-dev (version 6 ATM)
    and standards-version to 3.8.3 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 13 Sep 2009 14:47:20 +0000

sqlite3 (3.6.17-2) unstable; urgency=low

  * Reintroduce libtool and auto{conf,make} updates of CDBS
    (closes: #541684, #541731), patches modify configure.ac and Makefile.in .
  * Update patches to match this upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 16 Aug 2009 15:55:30 +0000

sqlite3 (3.6.17-1) unstable; urgency=low

  * New upstream release.
  * Don't ask CDBS to run libtool, autoconf nor automake (closes: #541413), no
    need to build-depend on these tools anymore.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 15 Aug 2009 04:23:42 +0000

sqlite3 (3.6.16-1) unstable; urgency=low

  * New upstream release (closes: #536661).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 10 Jul 2009 22:44:19 +0000

sqlite3 (3.6.14.2-1) unstable; urgency=low

  * New upstream release. Disable ICU support, it causes more trouble than
    good.
  * Add 20-hurd-locking-style.patch for proper locking on Hurd
    (closes: #529734).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 31 May 2009 16:28:06 +0000

sqlite3 (3.6.13-1) unstable; urgency=low

  * New upstream release (closes: #524617), fixing segfault when table
    contains default value (closes: 524166).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 19 Apr 2009 07:18:50 +0000

sqlite3 (3.6.12-1) unstable; urgency=low

  * New upstream release, remove 10-install-libsqlite3-first.patch as fixed
    upstream in a different way.
  * Remove generated files in clean target.



## sqlite3 3.7.3

=== debian/changelog ===
sqlite3 (3.7.3-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Add myself as uploader
  * use dh-autoreconf to solve autoreconfe problems
  * use automake 1.10 by setting DEB_AUTO_UPDATE_AUTOMAKE and
    DEB_AUTO_UPDATE_ACLOCAL

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 03 Nov 2010 14:53:35 +0100

sqlite3 (3.7.3-1) unstable; urgency=high

  * New upstream release (closes: #591298), high urgency due to fixing a RC
    performance regression.
  * Updated manpage (closes: #598318).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 13 Oct 2010 22:26:03 +0200

=== debian/control ===
Source: sqlite3
Section: devel
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Uploaders: Alexander Reichle-Schmehl <tolimar@debian.org>
Build-Depends: quilt, cdbs (>= 0.4.15), debhelper (>= 5), autoconf (>= 2.59), libtool (>= 1.5.2), automake, autotools-dev, chrpath, libreadline-dev, tcl8.5-dev, dh-autoreconf
Build-Conflicts: tcl8.4, tcl8.4-dev
Standards-Version: 3.9.1

Package: lemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The Lemon Parser Generator
 Lemon is an LALR(1) parser generator for C or C++. It does the same
 job as bison and yacc. But lemon is not another bison or yacc
 clone. It uses a different grammar syntax which is designed to reduce
 the number of coding errors. Lemon also uses a more sophisticated
 parsing engine that is faster than yacc and bison and which is both
 reentrant and thread-safe. Furthermore, Lemon implements features
 that can be used to eliminate resource leaks, making is suitable for
 use in long-running programs such as graphical user interfaces or
 embedded controllers.

Package: sqlite3
Section: database
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: sqlite3-doc
Description: A command line interface for SQLite 3
 SQLite is a C library that implements an SQL database engine. 
 Programs that link with the SQLite library can have SQL database 
 access without running a separate RDBMS process.

Package: sqlite3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: sqlite3
Description: SQLite 3 documentation
 SQLite is a C library that implements an SQL database engine. 
 Programs that link with the SQLite library can have SQL database 
 access without running a separate RDBMS process.
 .
 This package contains the documentation that is also available on
 the SQLite homepage.

Package: libsqlite3-0-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libsqlite3-0 (= ${binary:Version}), ${misc:Depends}
Description: SQLite 3 debugging symbols
 SQLite is a C library that implements an SQL database engine. 
 Programs that link with the SQLite library can have SQL database 
 access without running a separate RDBMS process.
 .
 This package contains the debugging symbols for the libraries.

Package: libsqlite3-0
Section: libs
Architecture: any
Priority: standard
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SQLite 3 shared library
 SQLite is a C library that implements an SQL database engine. 
 Programs that link with the SQLite library can have SQL database 
 access without running a separate RDBMS process.

Package: libsqlite3-dev
Suggests: sqlite3-doc
Section: libdevel
Architecture: any
Depends: libsqlite3-0 (= ${binary:Version}), ${misc:Depends}, libc6-dev
Description: SQLite 3 development files
 SQLite is a C library that implements an SQL database engine. 
 Programs that link with the SQLite library can have SQL database 
 access without running a separate RDBMS process.
 .
 This package contains the development files (headers, static libraries)

Package: libsqlite3-tcl
Suggests: sqlite3-doc
Section: interpreters
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SQLite 3 Tcl bindings
 SQLite is a C library that implements an SQL database engine. 
 Programs that link with the SQLite library can have SQL database 
 access without running a separate RDBMS process.
 .
 This package contains the Tcl bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk

so_version := 0

# Make sure libsqlite0 is built before packages depending on it
binary/sqlite3 binary/libsqlite3-dev binary/libsqlite3-tcl:: binary/libsqlite3-$(so_version)

clean::
	rm -f configure config.status config.log libtool .target_source \
	  Makefile config.h sqlite3.c aclocal.m4 ltmain.sh \
	  sqlite3.pc pkgIndex.tcl
common-install-arch::
	install -d debian/tmp/usr/lib/sqlite3/
	install -m 0664 libtclsqlite3.la `pwd`/debian/tmp/usr/lib/sqlite3
	chrpath -d debian/tmp/usr/bin/sqlite3
	chrpath -d ./debian/tmp/usr/share/tcltk/tcl8.5/sqlite3/libtclsqlite3.so
	install -d debian/tmp/usr/share/lemon
	install -m 0664 tool/lempar.c debian/tmp/usr/share/lemon
	install -m 0775 lemon debian/tmp/usr/bin
	install -d debian/tmp/usr/share/man/man1/
	install -m 0644 sqlite3.1 debian/tmp/usr/share/man/man1
#install/libsqlite3-dev::
#	sed -e 's/-licui18n -licuuc //' \
	  ./debian/tmp/usr/lib/libsqlite3.la \
	  >./debian/tmp/usr/lib/libsqlite3.la.tmp
#	mv ./debian/tmp/usr/lib/libsqlite3.la.tmp \
	./debian/tmp/usr/lib/libsqlite3.la \

install/libsqlite3-tcl::
	sed -e 's/share/lib/' -e 's/tcl[^/]*\///g' \
	  ./debian/tmp/usr/share/tcltk/tcl8.5/sqlite3/pkgIndex.tcl \
	  >./debian/libsqlite3-tcl/usr/lib/sqlite3/pkgIndex.tcl

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_AUTOCONF = 2.50
DEB_AUTO_UPDATE_ACLOCAL = 1.10
DEB_AUTO_UPDATE_AUTOMAKE = 1.10

#DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-licui18n -licuuc"
DEB_CONFIGURE_EXTRA_FLAGS = --with-tcl=/usr/lib/tcl8.5 --enable-threadsafe --enable-load-extension

DEB_MAKE_BUILD_TARGET = all libtclsqlite3.la doc
#DEB_MAKE_CHECK_TARGET = test

DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

DEB_INSTALL_CHANGELOGS_ALL = www/changes.html

DEB_DH_MAKESHLIBS_ARGS := -V -X"libtclsqlite3.so*"

DEB_SHLIBDEPS_LIBRARY_sqlite := libsqlite3-$(so_version)
DEB_SHLIBDEPS_INCLUDE_sqlite := debian/libsqlite3-$(so_version)/usr/lib/

#DEB_OPT_FLAG := -O2 -fno-strict-aliasing -DSQLITE_ENABLE_COLUMN_METADATA -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_RTREE=1 -DSQLITE_ENABLE_ICU=1
DEB_OPT_FLAG := -O2 -fno-strict-aliasing -DSQLITE_SECURE_DELETE -DSQLITE_ENABLE_COLUMN_METADATA -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_RTREE=1 -DSQLITE_SOUNDEX=1 -DSQLITE_ENABLE_UNLOCK_NOTIFY

DEB_DH_STRIP_ARGS := --dbg-package=libsqlite3-$(so_version)-dbg

## sqlite3 3.7.4

=== debian/changelog ===
sqlite3 (3.7.4-2ubuntu5) natty; urgency=low

  * No-change rebuild against fixed pkgbinarymangler, to get correct
    multiarch-safe changelogs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2011 01:14:09 -0700

sqlite3 (3.7.4-2ubuntu4) natty; urgency=low

  * DEB_CONFIGURE_EXTRA_FLAGS +=, so that we /really/ build for multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 17 Mar 2011 05:07:51 +0000

sqlite3 (3.7.4-2ubuntu3) natty; urgency=low

  * Rebuild for final multiarch paths.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 13 Mar 2011 13:48:19 -0700

sqlite3 (3.7.4-2ubuntu2) natty; urgency=low

  * debian/rules: don't use DEB_OPT_FLAG, which seems to have never been
    officially supported by cdbs and has now gone away; set CFLAGS directly
    instead.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 03 Feb 2011 18:56:59 -0800

sqlite3 (3.7.4-2ubuntu1) natty; urgency=low

  [ Peter Pearse ]
  * Patch to build both build host & target lemon compilers when cross
    building

  [ Steve Langasek ]
  * Refine the patch for upstreamability: always use $(BEXE) for build and
    $(TEXE) for target binaries, and only build a lemon binary for the
    target upon explicit request.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 01 Feb 2011 08:23:29 -0800

sqlite3 (3.7.4-2) unstable; urgency=low

  * Set shlibs back to 3.7.3, based on the work of Julien Cristau.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 26 Dec 2010 22:47:54 +0100

sqlite3 (3.7.4-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch for new upstream source version numbers.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 09 Dec 2010 20:07:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: sqlite3
 Section: devel
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Uploaders: Alexander Reichle-Schmehl <tolimar@debian.org>
-Build-Depends: quilt, cdbs (>= 0.4.15), debhelper (>= 5), autoconf (>= 2.59), libtool (>= 1.5.2), automake, autotools-dev, chrpath, libreadline-dev, tcl8.5-dev, dh-autoreconf
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Build-Depends: quilt, cdbs (>= 0.4.90ubuntu8), debhelper (>= 5),
+	autoconf (>= 2.59), libtool (>= 1.5.2), automake, autotools-dev,
+	chrpath, libreadline-dev, tcl8.5-dev,
+	dpkg-dev (>= 1.16.0~ubuntu4)
 Build-Conflicts: tcl8.4, tcl8.4-dev
 Standards-Version: 3.9.1
 
@@ -26,6 +29,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: sqlite3-doc
+Multi-Arch: foreign
 Description: A command line interface for SQLite 3
  SQLite is a C library that implements an SQL database engine. 
  Programs that link with the SQLite library can have SQL database 
@@ -49,6 +53,7 @@
 Architecture: any
 Priority: extra
 Depends: libsqlite3-0 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: SQLite 3 debugging symbols
  SQLite is a C library that implements an SQL database engine. 
  Programs that link with the SQLite library can have SQL database 
@@ -61,6 +66,8 @@
 Architecture: any
 Priority: standard
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Pre-Depends: multiarch-support
 Description: SQLite 3 shared library
  SQLite is a C library that implements an SQL database engine. 
  Programs that link with the SQLite library can have SQL database

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,16 @@
 include /usr/share/cdbs/1/rules/buildcore.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/autoreconf.mk
 #include /usr/share/cdbs/1/rules/simple-patchsys.mk
+
+DEB_CONFIGURE_EXTRA_FLAGS = --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --libexecdir=\$${libdir}/sqlite3
+
+ifeq ($(cdbs_crossbuild),)
+      DEB_MAKE_EXTRA_ARGS += CROSS_BUILDING=no
+else
+      DEB_MAKE_EXTRA_ARGS += CROSS_BUILDING=yes
+      DEB_CONFIGURE_EXTRA_FLAGS += LDFLAGS=-L/usr/$(DEB_HOST_GNU_TYPE)/lib 
+endif
 
 so_version := 0
 
@@ -39,25 +47,28 @@
 
 DEB_AUTO_UPDATE_LIBTOOL = pre
 DEB_AUTO_UPDATE_AUTOCONF = 2.50
-DEB_AUTO_UPDATE_ACLOCAL = 1.10
-DEB_AUTO_UPDATE_AUTOMAKE = 1.10
+DEB_AUTO_UPDATE_ACLOCAL = 1.11
+DEB_AUTO_UPDATE_AUTOMAKE = 1.11
 
 #DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-licui18n -licuuc"
-DEB_CONFIGURE_EXTRA_FLAGS = --with-tcl=/usr/lib/tcl8.5 --enable-threadsafe --enable-load-extension
+ifeq ($(cdbs_crossbuild),)
+       DEB_CONFIGURE_EXTRA_FLAGS += --with-tcl=/usr/lib/tcl8.5 --enable-threadsafe --enable-load-extension
+else
+       DEB_CONFIGURE_EXTRA_FLAGS += --with-tcl=/usr/$(DEB_HOST_GNU_TYPE)/lib/tcl8.5 --enable-threadsafe --enable-load-extension
+endif
 
-DEB_MAKE_BUILD_TARGET = all libtclsqlite3.la doc
+DEB_MAKE_BUILD_TARGET = all libtclsqlite3.la doc lemon
 #DEB_MAKE_CHECK_TARGET = test
 
 DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp
 
 DEB_INSTALL_CHANGELOGS_ALL = www/changes.html
 
-DEB_DH_MAKESHLIBS_ARGS := -V -X"libtclsqlite3.so*"
+DEB_DH_MAKESHLIBS_ARGS := -V'libsqlite3-0 (>= 3.7.3)' -X"libtclsqlite3.so*"
 
 DEB_SHLIBDEPS_LIBRARY_sqlite := libsqlite3-$(so_version)
-DEB_SHLIBDEPS_INCLUDE_sqlite := debian/libsqlite3-$(so_version)/usr/lib/
+DEB_SHLIBDEPS_INCLUDE_sqlite := debian/libsqlite3-$(so_version)/usr/lib/$(DEB_HOST_MULTIARCH)
 
-#DEB_OPT_FLAG := -O2 -fno-strict-aliasing -DSQLITE_ENABLE_COLUMN_METADATA -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_RTREE=1 -DSQLITE_ENABLE_ICU=1
-DEB_OPT_FLAG := -O2 -fno-strict-aliasing -DSQLITE_SECURE_DELETE -DSQLITE_ENABLE_COLUMN_METADATA -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_RTREE=1 -DSQLITE_SOUNDEX=1 -DSQLITE_ENABLE_UNLOCK_NOTIFY
+CFLAGS += -O2 -fno-strict-aliasing -DSQLITE_SECURE_DELETE -DSQLITE_ENABLE_COLUMN_METADATA -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_RTREE=1 -DSQLITE_SOUNDEX=1 -DSQLITE_ENABLE_UNLOCK_NOTIFY
 
 DEB_DH_STRIP_ARGS := --dbg-package=libsqlite3-$(so_version)-dbg

## sqlite3 3.7.5

=== debian/changelog ===
sqlite3 (3.7.5-1) unstable; urgency=low

  * New upstream release.
  * Rework package to use debhelper instead of cdbs (closes: #611956).
  * Use a symbols file (closes: #588456, #609946).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 09 Feb 2011 19:01:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,8 @@
 Source: sqlite3
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: quilt, cdbs (>= 0.4.90ubuntu8), debhelper (>= 5),
-	autoconf (>= 2.59), libtool (>= 1.5.2), automake, autotools-dev,
-	chrpath, libreadline-dev, tcl8.5-dev,
-	dpkg-dev (>= 1.16.0~ubuntu4)
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Build-Depends: debhelper (>= 7), autoconf (>= 2.59), libtool (>= 1.5.2), automake, autotools-dev, chrpath, libreadline-dev, tcl8.5-dev
 Build-Conflicts: tcl8.4, tcl8.4-dev
 Standards-Version: 3.9.1
 
@@ -29,7 +25,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: sqlite3-doc
-Multi-Arch: foreign
 Description: A command line interface for SQLite 3
  SQLite is a C library that implements an SQL database engine. 
  Programs that link with the SQLite library can have SQL database 
@@ -53,7 +48,6 @@
 Architecture: any
 Priority: extra
 Depends: libsqlite3-0 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
 Description: SQLite 3 debugging symbols
  SQLite is a C library that implements an SQL database engine. 
  Programs that link with the SQLite library can have SQL database 
@@ -66,8 +60,6 @@
 Architecture: any
 Priority: standard
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: same
-Pre-Depends: multiarch-support
 Description: SQLite 3 shared library
  SQLite is a C library that implements an SQL database engine. 
  Programs that link with the SQLite library can have SQL database

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

#export DH_VERBOSE=1

DESTDIR=`pwd`/debian/tmp

DDEBUG=`if (echo $(DEB_BUILD_OPTIONS) | grep -q debug) then \
		echo "--enable-debug"; \
	else \
		echo ""; \
	fi`

ifeq ($(cdbs_crossbuild),)
	DEB_CONFIGURE_EXTRA_FLAGS = --with-tcl=/usr/lib/tcl8.5
else
	DEB_CONFIGURE_EXTRA_FLAGS = --with-tcl=/usr/$(DEB_HOST_GNU_TYPE)/lib/tcl8.5
endif

CFLAGS += -O2 -fno-strict-aliasing \
	-DSQLITE_SECURE_DELETE -DSQLITE_ENABLE_COLUMN_METADATA \
	-DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_RTREE=1 -DSQLITE_SOUNDEX=1 \
	-DSQLITE_ENABLE_UNLOCK_NOTIFY

configure: configure-stamp
configure-stamp:
	dh_testdir
	autoconf
	./configure --prefix=/usr --mandir="/usr/share/man" \
	  --with-tcl=/usr/lib/tcl8.5 --enable-threadsafe \
	  --enable-load-extension \
	  $(DDEBUG)

	touch $@

build: build-stamp
build-stamp: configure
	dh_testdir
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot

	rm -f configure-stamp build-stamp
	rm -f config.h pkgIndex.tcl
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot

	$(MAKE) install DESTDIR=$(DESTDIR)
	chrpath -d $(DESTDIR)/usr/bin/sqlite3
	chrpath -d $(DESTDIR)/usr/share/tcltk/tcl8.5/sqlite3/libtclsqlite3.so
	install -d $(DESTDIR)/usr/lib/sqlite3
	install -m 0664 libtclsqlite3.la $(DESTDIR)/usr/lib/sqlite3/
	install -d $(DESTDIR)/usr/share/lemon
	install -m 0664 tool/lempar.c $(DESTDIR)/usr/share/lemon/
	install -m 0775 lemon $(DESTDIR)/usr/bin

	# Remove *.la files per policy 3.9.1.0
#	find $(DESTDIR) -name \*.la | xargs rm -f

	sed -e 's/share/lib/' -e 's/tcl[^/]*\///g' \
	  $(DESTDIR)/usr/share/tcltk/tcl8.5/sqlite3/pkgIndex.tcl \
	  >$(DESTDIR)/usr/lib/sqlite3/pkgIndex.tcl

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot

	dh_install --sourcedir=$(DESTDIR)
	dh_installman
	dh_installdocs
	dh_installchangelogs www/changes.html
	dh_strip --dbg-package=libsqlite3-0-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean configure binary-indep binary-arch binary
